substeps
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# substeps

substeps — A wrapper for steps that occur within steps in a procedure

## Synopsis

### Content Model

    substeps ::=
    (step+)

### Attributes

Common attributes

Name | Type | Default

performance

Enumeration:

optional
required

"required"

## Description

A `Procedure` describes a sequence of `Step`s that a reader is expected to perform. If a finer level of granularity is required for some steps, you can use `SubSteps` to embed substeps within a `Step`.

`SubSteps` contain `Step`s, so substeps can be nested to any depth.

### Processing expectations

Formatted as a displayed block. `SubStep`s are almost always numbered.

### Parents

These elements contain substeps: `step`.

### Children

The following elements occur in substeps: `step`.

## Attributes

performance

  `Performance` specifies whether particular set of `Substep` in a `Procedure` must be performed or is optional.

## Examples

For examples, see `procedure` .

Prev | Home | Next
subscript | Up | subtitle

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.